com.amazonaws.services.cloudfront.waiters

## Class GetStreamingDistributionFunction

- java.lang.Object
- - com.amazonaws.services.cloudfront.waiters.GetStreamingDistributionFunction

All Implemented Interfaces:
  SdkFunction<GetStreamingDistributionRequest,GetStreamingDistributionResult>

    public class GetStreamingDistributionFunction
    extends Object
    implements SdkFunction<GetStreamingDistributionRequest,GetStreamingDistributionResult>

### Constructor Summary

Constructors
Constructor and Description
`GetStreamingDistributionFunction(AmazonCloudFront client)` Constructs a new GetStreamingDistributionFunction with the given client

### Method Summary

All Methods Instance Methods Concrete Methods
`GetStreamingDistributionResult` `apply(GetStreamingDistributionRequest getStreamingDistributionRequest)` Makes a call to the operation specified by the waiter by taking the corresponding request and returns the corresponding result

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetStreamingDistributionFunction

    public GetStreamingDistributionFunction(AmazonCloudFront client)

Constructs a new GetStreamingDistributionFunction with the given client

Parameters:
  `client` - Service client

### Method Detail

#### apply

    public GetStreamingDistributionResult apply(GetStreamingDistributionRequest getStreamingDistributionRequest)

Makes a call to the operation specified by the waiter by taking the corresponding request and returns the corresponding result

Specified by:
  `apply` in interface `SdkFunction<GetStreamingDistributionRequest,GetStreamingDistributionResult>`
Parameters:
  `getStreamingDistributionRequest` - Corresponding request for the operation
Returns:
  Corresponding result of the operation